<?php use_helper('I18N', 'stAdminGenerator');?>
<?php echo st_get_admin_head('dsEasyProtectPlugin', __('Konfiguracja'), '', array('stPayment'));?>
    <div id="sf_admin_content">
        <?php st_include_partial('stAdminGenerator/message', array('labels' => $labels));?>
        <div id="sf_admin_content_config">
            <?php echo form_tag('easyprotect', array('id' => 'sf_admin_config_form', 'class' => 'admin_form'));?>
                <fieldset>
                    <div class="content">
                        <?php echo st_admin_get_form_field('config[run]', $labels['config{run}'], true, 'checkbox_tag', array('checked' => $config->get('run'))) ?>
                        <?php echo st_admin_get_form_field('config[api]', $labels['config{api}'], $config->get('api'), 'input_tag', array('required' => true)) ?>
                        <div class="row config_url">
                        	<label for="config_url">Adres strony</label>
                        	<div class="field">
                        		<select name="config[url]" id="config_url">
                        			<option value="0">------</option>
                        			<?php
                        				foreach ($webs as $key => $value) {
											?>
											<option value="<?php echo $value->getId() ?>" <?php if($value->getId()==$config->get('url')) {?> selected <?php } ?>><?php echo $value->getOptName() ?></option>
											<?php
										}
                        			?>
                        		</select>
                        		<div class="clr"></div>
                        	</div>
                        </div>
                    </div> 
                </fieldset>            
                <?php echo st_get_admin_actions_head('style="margin-top: 10px; float: right"');?>
                    <?php echo st_get_admin_action('save', __('Zapisz', null, 'stAdminGeneratorPlugin'), null, array('name' => 'save'));?>
                <?php echo st_get_admin_actions_foot();?>
            </form>
        </div>
    </div>
    <br class="st_clear_all" />
<?php echo st_get_admin_foot();?>