<?php

class dsEasyProtectFrontendComponents extends sfComponents
{
	public function executeProtect()
	{
		$config = stConfig::getInstance('dsEasyProtectBackend');
        $showedProduct = ProductPeer::getShowedProduct();
		$this->url = '';
		if($config->get('url')>0)
		{
			$c = new Criteria();
			$c->add(WebpagePeer::ID, $config->get('url'));
			$web = WebpagePeer::doSelectOne($c);
			if($web->getActive())
			{
				$this->url = '/webpage/'.$web->getOptUrl().'.html'; 
			}
		}
        if($showedProduct->getEasyprotect())
		{
        	$this->smarty = new stSmarty('dsEasyProtectFrontend');
			$this->guarantees = dsEasyProtect::getProtect($showedProduct->getPriceBrutto());
			if(count($this->guarantees)==0)
			{
        		return sfView::NONE;
			}
		}
		else
        	return sfView::NONE;
	}   
}
