<?php

class dsEasyProtectListener
{
	public static function generateStProduct($event)
	{
		$event->getSubject()->attachAdminGeneratorFile('dsEasyProtectPlugin','stProduct.yml');
	}
	
	public static function handleSlot($event, $components)
	{
		if ($event['slot'] === 'product_additional_field')
        {
            $components[] = $event->getSubject()->createComponent('dsEasyProtectFrontend', 'protect');
        }
        
        return $components;
	}
	public static function stBasketModAddItem(sfEvent $event)
    {
        $protect = json_decode(sfContext::getInstance()->getRequest()->getParameter('protect'));
		if($protect)
		{
			$mc = 'miesięcy';
			if($protect->policy==24 || $protect->policy==72)
				$mc = 'miesiące';
			$label = 'Przedłużona ochrona serwisowa EasyProtect® o kolejne '.$protect->policy.' '.$mc;
			$modifier = $protect->price;
			if($modifier>0)
			{
				$event['item']->addPriceModifier(array('brutto' => $modifier), 'numeric', '+', 1, array('label' => $label, 'custom'=>array('field'=>'descritpion')));
				$event['product']->addPriceModifier(array('brutto' => $modifier), 'numeric', '+', 1, array('label' => $label, 'custom'=>array('field'=>'descritpion')));
			}
		}
    }
	
}
